---
title: HTMLShadowElement
slug: Web/API/HTMLShadowElement
tags:
  - API
  - HTML DOM
  - Interface
  - Obsolete
  - Reference
---
<div>{{APIRef("Web Components")}}{{Deprecated_header}}</div>

<p>The <code><strong>HTMLShadowElement</strong></code> interface represents a {{HTMLElement("shadow")}} HTML Element, which is used in <a href="/en-US/docs/Web/Web_Components/Shadow_DOM">Shadow DOM</a>.</p>

<p>{{InheritanceDiagram(600, 120)}}</p>

<h2 id="Properties">Properties</h2>

<p><em>This interface inherits the properties of {{domxref("HTMLElement")}}.</em></p>

<h2 id="Methods">Methods</h2>

<p><em>This interface inherits the methods of {{domxref("HTMLElement")}}.</em></p>

<dl>
	<dt>{{domxref("HTMLShadowElement.getDistributedNodes()")}}</dt>
	<dd>Returns a static {{domxref("NodeList")}} of the {{glossary("distributed nodes")}} associated with this <code>&lt;shadow&gt;</code> element. </dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<p>This feature is no longer defined by any specifications.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLShadowElement")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li>The {{HTMLElement("shadow")}} HTML element, implementing this interface.</li>
	<li><a href="/en-US/docs/Web/Web_Components/Shadow_DOM">Shadow DOM</a></li>
</ul>
